﻿using System.Web.Mvc;
using Google_SignIn_MVC.Models;

using System.Web.Script.Serialization;
using ASPSnippets.GoogleAPI;

namespace Google_SignIn_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            GoogleConnect.ClientId = "<Google Client ID>";
            GoogleConnect.ClientSecret = "<Google Client Secret>";
            GoogleConnect.RedirectUri = Request.Url.AbsoluteUri.Split('?')[0];

            GoogleProfileModel profile = new GoogleProfileModel();
            string code = Request.QueryString["code"];
            if (!string.IsNullOrEmpty(code))
            {
                GoogleConnect connect = new GoogleConnect();
                string json = connect.Fetch("me", code);
                profile = new JavaScriptSerializer().Deserialize<GoogleProfileModel>(json);
                profile.IsDisable = true;
            }

            return View(profile);
        }

        [HttpPost]
        public ActionResult Login()
        {
            GoogleConnect.Authorize("profile", "email");
            return RedirectToAction("Index");
        }
    }
}